Bug 24680 - kernel-smp-2.4.1-0.1.9 system time gains 4hr in 24hr
kernel-smp-2.4.1-0.1.9 system time gains 4hr in 24hr
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-23 01:25 EST by Jaroslaw Sosnicki
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslaw Sosnicki 2001-01-23 01:25:36 EST
I am experiencing substencial (+3 hour in 24 hours) drift in kerenl time
since introduction of kernel 2.4.0 on my pentium pro 200 MHz (PR440FX intel
mother board)

I was able to cut down on the drift to about +45 min in 24 Hours by 
# tickadj 9000

I was trying to use value lover then 9000 and I am getting error:
# tickadj 8500
adjtimex: Invalid argument

I was also digging trough manuals and found additional discrepencies:
According to manuals I should be able to use the folowing commands and
instead I am getting errors:
[root]# rpm -q kernel
kernel-2.4.0-0.99.5
[root]#  rpm -q ntp
ntp-4.0.99k-5
[root]#  tickadj -t 9999 -a 5 -s
Usage: tickadj [tick_value]

I thing there is something wrong here and I can't pinpoint exact location
of the problems

I also noticed that when I do normal shutdown of my system
[root]# shutdown -r now
my motherboard clock is being reset with kernel time (in my case with wrong
kernel time)

Is this a correct behavior? 
If it is we should reconsider (let's say if the clock diference is more
then 1 Hr don't change it)
Comment 1 Jaroslaw Sosnicki 2001-02-04 02:21:06 EST
This problem is a serious and was introduced in kernel-2.4.0-xxx.

The same hardware maintains time correctly with kernel-2.2.16-22smp (RedHat 7.0)
and ntp-4.0.99k-5 and adjtimex-1.11-4.
The problem points to the kernel-2.4.0-xxx

Comment 2 Arjan van de Ven 2001-02-05 06:13:01 EST
Could you upgrade your kernel to the latest kernel in rawhide and see if
it still occurs? Some clock related things got fixed, I'm not sure about
this problem though.
Comment 3 Jaroslaw Sosnicki 2001-02-05 17:32:12 EST
upgradet to RAWHIDE kernel-2.4.0-0.99.21smp and experience the same problem.
Here is an additional info:
System time was set correctly at the reboot time and this command was run at
Mon Feb 5 14:36:21 MST 2001 (actual time)
My system reports as folows:

[root@ns1 RPMS]# date
Mon Feb  5 18:21:48 MST 2001

[root@ns1 RPMS]# uptime
  6:22pm  up 1 day,  1:13,  2 users,  load average: 0.00, 0.05, 0.27

[root@ns1 RPMS]# adjtimex --compare
                                           --- current ---    -- suggested --
cmos time     system-cmos       2nd diff    tick      freq     tick      freq
981297113   125482.122615  125482.122615   10000         0
981297114   125490.734857       8.612242   10000         0
981297115   125499.427138       8.692281   10000         0     1308  -1840068
981297115   125507.929416       8.502278   10000         0     1498  -1820407
981297116   125516.571687       8.642272   10000         0     1358  -1781086
981297117   125525.883013       9.311325   10000         0      689  -2131516
981297117   125535.214312       9.331299   10000         0      669  -1961123
981297118   125544.495624       9.281312   10000         0      719  -2046319
[root@ns1 RPMS]#
[root@ns1 RPMS]# date
Mon Feb  5 18:21:48 MST 2001
[root@ns1 RPMS]# uptiee
  6:22pm  up 1 day,  1:13,  2 users,  load average: 0.00, 0.05, 0.27
[root@ns1 RPMS]# adjtimex --compare
                                           --- current ---    -- suggested --
cmos time     system-cmos       2nd diff    tick      freq     tick      freq
981297113   125482.122615  125482.122615   10000         0
981297114   125490.734857       8.612242   10000         0
981297115   125499.427138       8.692281   10000         0     1308  -1840068
981297115   125507.929416       8.502278   10000         0     1498  -1820407
981297116   125516.571687       8.642272   10000         0     1358  -1781086
981297117   125525.883013       9.311325   10000         0      689  -2131516
981297117   125535.214312       9.331299   10000         0      669  -1961123
981297118   125544.495624       9.281312   10000         0      719  -2046319
[root@ns1 RPMS]#
[root@ns1 RPMS]# adjtimex --print
         mode: 0
       offset: 0
    frequency: 0
     maxerror: 16384000
     esterror: 16
       status: 65
time_constant: 2
    precision: 1
    tolerance: 33554432
         tick: 10000
     raw time:  981422970s 418048us = 981422970.418048
 return value = 5
[root@ns1 RPMS]#
Comment 4 Jaroslaw Sosnicki 2001-02-05 17:34:16 EST
upgradet to RAWHIDE kernel-2.4.0-0.99.21smp and experience the same problem.
Here is an additional info:
System time was set correctly at the reboot time and this command was run at
Mon Feb 5 14:36:21 MST 2001 (actual time)
My system reports as folows:

[root@ns1 RPMS]# date
Mon Feb  5 18:21:48 MST 2001

[root@ns1 RPMS]# uptime
  6:22pm  up 1 day,  1:13,  2 users,  load average: 0.00, 0.05, 0.27

[root@ns1 RPMS]# adjtimex --compare
                                           --- current ---    -- suggested --
cmos time     system-cmos       2nd diff    tick      freq     tick      freq
981297113   125482.122615  125482.122615   10000         0
981297114   125490.734857       8.612242   10000         0
981297115   125499.427138       8.692281   10000         0     1308  -1840068
981297115   125507.929416       8.502278   10000         0     1498  -1820407
981297116   125516.571687       8.642272   10000         0     1358  -1781086
981297117   125525.883013       9.311325   10000         0      689  -2131516
981297117   125535.214312       9.331299   10000         0      669  -1961123
981297118   125544.495624       9.281312   10000         0      719  -2046319
[root@ns1 RPMS]#
[[root@ns1 RPMS]# adjtimex --print
         mode: 0
       offset: 0
    frequency: 0
     maxerror: 16384000
     esterror: 16
       status: 65
time_constant: 2
    precision: 1
    tolerance: 33554432
         tick: 10000
     raw time:  981422970s 418048us = 981422970.418048
 return value = 5
[root@ns1 RPMS]#
Comment 5 Jaroslaw Sosnicki 2001-02-06 20:01:24 EST
The problem still exists with laster RawHide installation. Here is an output 
from my system /var/log/messages:
Feb  6 08:13:49 ns1 syslogd 1.4-0: restart.
Feb  6 08:13:49 ns1 syslog: syslogd startup succeeded
Feb  6 08:13:50 ns1 kernel: klogd 1.4-0, log source = /proc/kmsg started.
Feb  6 08:13:50 ns1 kernel: Inspecting /boot/System.map-2.4.0-0.99.23smp
Feb  6 08:13:50 ns1 syslog: klogd startup succeeded
Feb  6 08:13:50 ns1 portmap: portmap startup succeeded
Feb  6 08:13:51 ns1 nfslock: rpc.statd startup succeeded
Feb  6 08:13:51 ns1 kernel: Loaded 14663 symbols from /boot/System.map-2.4.0-
0.99.23smp.
Feb  6 08:13:51 ns1 kernel: Symbols match kernel version 2.4.0.
Feb  6 08:13:51 ns1 kernel: Loaded 388 symbols from 12 modules.
Feb  6 08:13:51 ns1 kernel: Linux version 2.4.0-0.99.23smp 
(root@porky.devel.redhat.com) (gcc version 2.96 20000731 (Red Hat Linux 7.0)) 
#1 SMP Tue Feb 6 02:16:05 EST 2001
Feb  6 08:13:51 ns1 kernel: BIOS-provided physical RAM map:
Feb  6 08:13:51 ns1 kernel:  BIOS-e820: 000000000009fc00 @ 0000000000000000 
(usable)
Feb  6 08:13:51 ns1 kernel:  BIOS-e820: 0000000007f00000 @ 0000000000100000 
(usable)
Feb  6 08:13:51 ns1 kernel:  BIOS-e820: 0000000000180000 @ 00000000ffe80000 
(reserved)
Feb  6 08:13:51 ns1 kernel:  BIOS-e820: 0000000000009000 @ 00000000fec00000 
(reserved)
Feb  6 08:13:51 ns1 kernel: Scan SMP from c0000000 for 1024 bytes.
Feb  6 08:13:51 ns1 kernel: Scan SMP from c009fc00 for 1024 bytes.
Feb  6 08:13:51 ns1 kernel: Scan SMP from c00f0000 for 65536 bytes.
Feb  6 08:13:51 ns1 kernel: found SMP MP-table at 000f7ef0
Feb  6 08:13:51 ns1 kernel: hm, page 000f7000 reserved twice.
Feb  6 08:13:51 ns1 kernel: hm, page 000f8000 reserved twice.
Feb  6 08:13:51 ns1 kernel: hm, page 000f7000 reserved twice.
Feb  6 08:13:51 ns1 kernel: hm, page 000f8000 reserved twice.
Feb  6 08:13:51 ns1 kernel: On node 0 totalpages: 32768
Feb  6 08:13:51 ns1 kernel: zone(0): 4096 pages.
Feb  6 08:13:51 ns1 kernel: zone(1): 28672 pages.
Feb  6 08:13:51 ns1 kernel: zone(2): 0 pages.
Feb  6 08:13:51 ns1 kernel: Intel MultiProcessor Specification v1.4
Feb  6 08:13:51 ns1 kernel:     Virtual Wire compatibility mode.
Feb  6 08:13:51 ns1 kernel: OEM ID: INTEL    Product ID: PR440FX      APIC at: 
0xFEC08000
Feb  6 08:13:52 ns1 kernel: Processor #0 Pentium(tm) Pro APIC version 17
Feb  6 08:13:52 ns1 kernel:     Floating point unit present.
Feb  6 08:13:52 ns1 kernel:     Machine Exception supported.
Feb  6 08:13:52 ns1 kernel:     64 bit compare & exchange supported.
Feb  6 08:13:52 ns1 kernel:     Internal APIC present.
Feb  6 08:13:52 ns1 kernel:     SEP present.
Feb  6 08:13:52 ns1 kernel:     MTRR  present.
Feb  6 08:13:52 ns1 kernel:     PGE  present.
Feb  6 08:13:52 ns1 kernel:     MCA  present.
Feb  6 08:13:52 ns1 kernel:     CMOV  present.
Feb  6 08:13:52 ns1 kernel:     Bootup CPU
Feb  6 08:13:52 ns1 kernel: Processor #12 Pentium(tm) Pro APIC version 17
Feb  6 08:13:52 ns1 kernel:    Floating point unit present.
Feb  6 08:13:52 ns1 kernel:     Machine Exception supported.
Feb  6 08:13:52 ns1 kernel:     64 bit compare & exchange supported.
Feb  6 08:13:52 ns1 kernel:     Internal APIC present.
Feb  6 08:13:52 ns1 kernel:     SEP present.
Feb  6 08:13:52 ns1 kernel:     MTRR  present.
Feb  6 08:13:52 ns1 kernel:     PGE  present.
Feb  6 08:13:52 ns1 kernel:     MCA  present.
Feb  6 08:13:52 ns1 kernel:     CMOV  present.
Feb  6 08:13:53 ns1 kernel: Bus #0 is PCI   
Feb  6 08:13:53 ns1 kernel: Bus #18 is ISA   
Feb  6 08:13:53 ns1 kernel: I/O APIC #13 Version 17 at 0xFEC00000.
Feb  6 08:13:53 ns1 kernel: Int: type 3, pol 1, trig 1, bus 18, IRQ 00, APIC ID 
d, APIC INT 00
Feb  6 08:13:53 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 01, APIC ID 
d, APIC INT 01
Feb  6 08:13:53 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 03, APIC ID 
d, APIC INT 03
Feb  6 08:13:53 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 04, APIC ID 
d, APIC INT 04
Feb  6 08:13:53 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 05, APIC ID 
d, APIC INT 05
Feb  6 08:13:53 ns1 automount[507]: starting automounter version 3.1.7, path 
= /misc, maptype = file, mapname = /etc/auto.misc
Feb  6 08:13:53 ns1 autofs: autofs startup succeeded
Feb  6 08:13:53 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 06, APIC ID 
d, APIC INT 06
Feb  6 08:13:53 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 07, APIC ID 
d, APIC INT 07
Feb  6 08:13:53 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 08, APIC ID 
d, APIC INT 08
Feb  6 08:13:53 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 09, APIC ID 
d, APIC INT 09
Feb  6 08:13:53 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 0c, APIC ID 
d, APIC INT 0c
Feb  6 08:13:53 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 0e, APIC ID 
d, APIC INT 0e
Feb  6 08:13:53 ns1 kernel: Int: type 0, pol 1, trig 1, bus 18, IRQ 0f, APIC ID 
d, APIC INT 0f
Feb  6 08:13:53 ns1 random: Initializing random number generator:  succeeded
Feb  6 08:13:53 ns1 kernel: Int: type 0, pol 3, trig 3, bus 0, IRQ 2c, APIC ID 
d, APIC INT 10
Feb  6 08:13:53 ns1 kernel: Int: type 0, pol 3, trig 3, bus 0, IRQ 24, APIC ID 
d, APIC INT 11
Feb  6 08:13:54 ns1 kernel: Int: type 0, pol 3, trig 3, bus 0, IRQ 18, APIC ID 
d, APIC INT 12
Feb  6 08:13:54 ns1 kernel: Processors: 2
Feb  6 08:13:54 ns1 kernel: mapped APIC to ffffe000 (fec08000)
Feb  6 08:13:54 ns1 kernel: mapped IOAPIC to ffffd000 (fec00000)
Feb  6 08:13:54 ns1 kernel: Kernel command line: auto BOOT_IMAGE=smp240-099.23 
ro root=808 BOOT_FILE=/boot/vmlinuz-2.4.0-0.99.23smp
Feb  6 08:13:54 ns1 kernel: Initializing CPU#0
Feb  6 08:13:54 ns1 kernel: Detected 198.669 MHz processor.
Feb  6 08:13:54 ns1 kernel: Console: colour VGA+ 80x25
Feb  6 08:13:55 ns1 kernel: Calibrating delay loop... 396.49 BogoMIPS
Feb  6 08:13:55 ns1 kernel: Memory: 126004k/131072k available (1089k kernel 
code, 4680k reserved, 426k data, 236k init, 0k highmem)
Feb  6 08:13:55 ns1 kernel: Dentry-cache hash table entries: 16384 (order: 5, 
131072 bytes)
Feb  6 08:13:55 ns1 kernel: Buffer-cache hash table entries: 8192 (order: 3, 
32768 bytes)
Feb  6 08:13:55 ns1 kernel: Page-cache hash table entries: 32768 (order: 5, 
131072 bytes)
Feb  6 08:13:55 ns1 kernel: Inode-cache hash table entries: 8192 (order: 4, 
65536 bytes)
Feb  6 08:13:55 ns1 kernel: VFS: Diskquotas version dquot_6.5.0 initialized
Feb  6 08:13:55 ns1 kernel: CPU: Before vendor init, caps: 0000fbff 00000000 
00000000, vendor = 0
Feb  6 08:13:55 ns1 netfs: Mounting other filesystems:  succeeded
Feb  6 08:13:55 ns1 kernel: CPU: L1 I cache: 8K, L1 D cache: 8K
Feb  6 08:13:55 ns1 kernel: CPU: L2 cache: 256K
Feb  6 08:13:55 ns1 kernel: Intel machine check architecture supported.
Feb  6 08:13:55 ns1 kernel: Intel machine check reporting enabled on CPU#0.
Feb  6 08:13:55 ns1 kernel: CPU: After vendor init, caps: 0000fbff 00000000 
00000000 00000000
Feb  6 08:13:55 ns1 kernel: CPU: After generic, caps: 0000fbff 00000000 
00000000 00000000
Feb  6 08:13:55 ns1 kernel: CPU: Common caps: 0000fbff 00000000 00000000 
00000000
Feb  6 08:13:55 ns1 kernel: Checking 'hlt' instruction... OK.
Feb  6 08:13:55 ns1 kernel: POSIX conformance testing by UNIFIX
Feb  6 08:13:56 ns1 kernel: mtrr: v1.37 (20001109) Richard Gooch 
(rgooch@atnf.csiro.au)
Feb  6 08:13:56 ns1 identd: identd startup succeeded
Feb  6 08:13:56 ns1 kernel: mtrr: detected mtrr type: Intel
Feb  6 08:13:56 ns1 kernel: CPU: Before vendor init, caps: 0000fbff 00000000 
00000000, vendor = 0
Feb  6 08:13:56 ns1 kernel: CPU: L1 I cache: 8K, L1 D cache: 8K
Feb  6 08:13:56 ns1 kernel: CPU: L2 cache: 256K
Feb  6 08:13:56 ns1 kernel: Intel machine check reporting enabled on CPU#0.
Feb  6 08:13:56 ns1 kernel: CPU: After vendor init, caps: 0000fbff 00000000 
00000000 00000000
Feb  6 08:13:56 ns1 kernel: CPU: After generic, caps: 0000fbff 00000000 
00000000 00000000
Feb  6 08:13:56 ns1 kernel: CPU: Common caps: 0000fbff 00000000 00000000 
00000000
Feb  6 08:13:57 ns1 kernel: CPU0: Intel Pentium Pro stepping 09
Feb  6 08:13:57 ns1 automount[507]: using kernel protocol version 3
Feb  6 08:13:57 ns1 kernel: per-CPU timeslice cutoff: 733.84 usecs.
Feb  6 08:13:57 ns1 kernel: Getting VERSION: 40011
Feb  6 08:13:57 ns1 atd: atd startup succeeded
Feb  6 08:13:57 ns1 kernel: Getting VERSION: 40011
Feb  6 08:13:57 ns1 kernel: Getting ID: 0
Feb  6 08:13:57 ns1 kernel: Getting ID: f000000
Feb  6 08:13:57 ns1 kernel: Getting LVT0: 700
Feb  6 08:13:57 ns1 kernel: Getting LVT1: 400
Feb  6 08:13:57 ns1 kernel: enabled ExtINT on CPU#0
Feb  6 08:13:57 ns1 kernel: ESR value before enabling vector: 00000040
Feb  6 08:13:57 ns1 kernel: ESR value after enabling vector: 00000000
Feb  6 08:13:57 ns1 kernel: CPU present map: 1001
Feb  6 08:13:57 ns1 kernel: Booting processor 1/12 eip 2000
Feb  6 08:13:57 ns1 kernel: Setting warm reset code and vector.
Feb  6 08:13:57 ns1 kernel: 1.
Feb  6 08:13:58 ns1 kernel: 2.
Feb  6 08:13:58 ns1 kernel: 3.
Feb  6 08:13:58 ns1 kernel: Asserting INIT.
Feb  6 08:13:58 ns1 kernel: Waiting for send to finish...
Feb  6 08:13:58 ns1 kernel: +Deasserting INIT.
Feb  6 08:13:58 ns1 kernel: Waiting for send to finish...
Feb  6 08:13:58 ns1 kernel: +#startup loops: 2.
Feb  6 08:13:58 ns1 kernel: Sending STARTUP #1.
Feb  6 08:13:58 ns1 kernel: After apic_write.
Feb  6 08:13:58 ns1 kernel: Initializing CPU#1
Feb  6 08:13:58 ns1 kernel: CPU#1 (phys ID: 12) waiting for CALLOUT
Feb  6 08:13:58 ns1 kernel: Startup point 1.
Feb  6 08:13:59 ns1 kernel: Waiting for send to finish...
Feb  6 08:13:59 ns1 kernel: +Sending STARTUP #2.
Feb  6 08:13:59 ns1 kernel: After apic_write.
Feb  6 08:13:59 ns1 kernel: Startup point 1.
Feb  6 08:13:59 ns1 kernel: Waiting for send to finish...
Feb  6 08:13:59 ns1 kernel: +After Startup.
Feb  6 08:14:00 ns1 kernel: Before Callout 1.
Feb  6 08:14:00 ns1 kernel: After Callout 1.
Feb  6 08:14:00 ns1 kernel: CALLIN, before setup_local_APIC().
Feb  6 08:14:00 ns1 kernel: masked ExtINT on CPU#1
Feb  6 08:14:00 ns1 named[581]: starting BIND 9.1.0 -u named
Feb  6 08:14:00 ns1 named: named startup succeeded
Feb  6 08:14:00 ns1 kernel: ESR value before enabling vector: 00000000
Feb  6 08:14:00 ns1 named[581]: using 2 CPUs
Feb  6 08:14:00 ns1 kernel: ESR value after enabling vector: 00000000
Feb  6 08:14:00 ns1 kernel: Calibrating delay loop... 396.49 BogoMIPS
Feb  6 08:14:01 ns1 kernel: Stack at about c1229fb8
Feb  6 08:14:01 ns1 kernel: CPU: Before vendor init, caps: 0000fbff 00000000 
00000000, vendor = 0
Feb  6 08:14:01 ns1 kernel: CPU: L1 I cache: 8K, L1 D cache: 8K
Feb  6 08:14:01 ns1 kernel: CPU: L2 cache: 256K
Feb  6 08:14:01 ns1 kernel: Intel machine check reporting enabled on CPU#1.
Feb  6 08:14:01 ns1 named[586]: loading configuration from '/etc/named.conf'
Feb  6 08:14:01 ns1 kernel: CPU: After vendor init, caps: 0000fbff 00000000 
00000000 00000000
Feb  6 08:14:02 ns1 kernel: CPU: After generic, caps: 0000fbff 00000000 
00000000 00000000
Feb  6 08:14:02 ns1 kernel: CPU: Common caps: 0000fbff 00000000 00000000 
00000000
Feb  6 08:14:02 ns1 named[586]: the default for the 'auth-nxdomain' option is 
now 'no'
Feb  6 08:14:02 ns1 kernel: OK.
Feb  6 08:14:02 ns1 kernel: CPU1: Intel Pentium Pro stepping 09
Feb  6 08:14:02 ns1 modprobe: modprobe: Can't locate module net-pf-10
Feb  6 08:14:02 ns1 kernel: CPU has booted.
Feb  6 08:14:02 ns1 named[586]: no IPv6 interfaces found
Feb  6 08:14:02 ns1 kernel: Before bogomips.
Feb  6 08:14:02 ns1 named[586]: listening on IPv4 interface lo, 127.0.0.1#53
Feb  6 08:14:02 ns1 kernel: Total of 2 processors activated (792.98 BogoMIPS).
Feb  6 08:14:03 ns1 named[586]: listening on IPv4 interface eth0, 24.1.209.46#53
Feb  6 08:14:03 ns1 kernel: Before bogocount - setting activated=1.
Feb  6 08:14:03 ns1 named[586]: listening on IPv4 interface eth1, 192.168.0.1#53
Feb  6 08:14:03 ns1 kernel: Boot done.
Feb  6 08:14:03 ns1 kernel: ENABLING IO-APIC IRQs
Feb  6 08:14:03 ns1 kernel: ...changing IO-APIC physical APIC ID to 13 ... ok.
Feb  6 08:14:03 ns1 kernel: Synchronizing Arb IDs.
Feb  6 08:14:03 ns1 kernel: ..TIMER: vector=49 pin1=-1 pin2=0
Feb  6 08:14:03 ns1 kernel: ...trying to set up timer (IRQ0) through the 
8259A ... 
Feb  6 08:08:28 ns1 kernel: ..... (found pin 0) ...works.
Feb  6 08:08:28 ns1 kernel: activating NMI Watchdog ... done.
Feb  6 08:08:28 ns1 kernel: testing NMI watchdog ... OK.
Feb  6 08:08:28 ns1 kernel: testing the IO APIC.......................
Feb  6 08:08:28 ns1 kernel: 
Feb  6 08:08:30 ns1 kernel: .................................... done.
Feb  6 08:08:30 ns1 kernel: calibrating APIC timer ...
Feb  6 08:08:30 ns1 kernel: ..... CPU clock speed is 198.6757 MHz.
Feb  6 08:08:30 ns1 kernel: ..... host bus clock speed is 66.2251 MHz.
Feb  6 08:08:30 ns1 kernel: cpu: 0, clocks: 662251, slice: 220750
Feb  6 08:08:30 ns1 kernel: CPU0<T0:662240,T1:441488,D:2,S:220750,C:662251>
Feb  6 08:08:30 ns1 kernel: cpu: 1, clocks: 662251, slice: 220750
Feb  6 08:08:30 ns1 kernel: CPU1<T0:662240,T1:220736,D:4,S:220750,C:662251>
Feb  6 08:08:30 ns1 kernel: checking TSC synchronization across CPUs: passed.
Feb  6 08:08:30 ns1 kernel: Setting commenced=1, go go go
Feb  6 08:08:30 ns1 kernel: PCI: PCI BIOS revision 2.10 entry at 0xfda11, last 
bus=0
Feb  6 08:08:30 ns1 kernel: PCI: Using configuration type 1
Feb  6 08:08:30 ns1 kernel: PCI: Probing PCI hardware
Feb  6 08:08:30 ns1 ntpd[599]: ntpd 4.0.99k Mon Feb  5 15:07:12 EST 2001 (1)
Feb  6 08:08:30 ns1 kernel: PCI->APIC IRQ transform: (B0,I6,P0) -> 18
Feb  6 08:08:30 ns1 ntpd: ntpd startup succeeded
Feb  6 08:08:30 ns1 kernel: PCI->APIC IRQ transform: (B0,I9,P0) -> 17
Feb  6 08:08:30 ns1 named[586]: running
Feb  6 08:08:30 ns1 kernel: PCI->APIC IRQ transform: (B0,I11,P0) -> 16
Feb  6 08:08:30 ns1 ntpd[599]: precision = 7 usec
Feb  6 08:08:30 ns1 kernel: Limiting direct PCI/PCI transfers.
Feb  6 08:08:30 ns1 kernel: Activating ISA DMA hang workarounds.
Feb  6 08:08:30 ns1 ntpd[599]: using kernel phase-lock loop 0040
Feb  6 08:08:30 ns1 kernel: isapnp: Scanning for Pnp cards...
Feb  6 08:08:31 ns1 kernel: isapnp: Card 'CS4236B Audio'
Feb  6 08:08:31 ns1 kernel: isapnp: 1 Plug & Play card detected total
Feb  6 08:08:31 ns1 kernel: Linux NET4.0 for Linux 2.4
Feb  6 08:08:31 ns1 kernel: Based upon Swansea University Computer Society 
NET3.039
Feb  6 08:08:31 ns1 ntpd[599]: frequency initialized 0.000 from /etc/ntp/drift
Feb  6 08:08:31 ns1 kernel: Initializing RT netlink socket
Feb  6 08:08:31 ns1 kernel: DMI 2.0 present.
Feb  6 08:08:31 ns1 ntpd[599]: bind() fd 3, family 2, port 123, addr 224.0.1.1, 
in_classd=1 flags=0 fails: Address already in use
Feb  6 08:08:31 ns1 kernel: 39 structures occupying 1266 bytes.
Feb  6 08:08:31 ns1 kernel: DMI table at 0x000F999D.
Feb  6 08:08:31 ns1 ntpd[599]: ...multicast address 224.0.1.1 using wildcard 
socket
Feb  6 08:08:31 ns1 kernel: BIOS Vendor: Intel Corp.
Feb  6 08:08:31 ns1 kernel: BIOS Version: 1.00.09.DI0 
Feb  6 08:08:31 ns1 kernel: BIOS Release: 08/28/98
Feb  6 08:08:32 ns1 kernel: Board Vendor: Intel Corporation.
Feb  6 08:08:32 ns1 kernel: Board Name: PR440FX.
Feb  6 08:08:32 ns1 kernel: Board Version: AA673289-508.
Feb  6 08:08:32 ns1 kernel: apm: BIOS not found.
Feb  6 08:08:32 ns1 kernel: Starting kswapd v1.8
Feb  6 08:08:32 ns1 kernel: pty: 256 Unix98 ptys configured
Feb  6 08:08:32 ns1 kernel: block: queued sectors max/low 83608kB/62706kB, 256 
slots per queue
Feb  6 08:08:32 ns1 kernel: RAMDISK driver initialized: 16 RAM disks of 4096K 
size 1024 blocksize
Feb  6 08:08:32 ns1 kernel: Uniform Multi-Platform E-IDE driver Revision: 6.31
Feb  6 08:08:32 ns1 kernel: ide: Assuming 33MHz system bus speed for PIO modes; 
override with idebus=xx
Feb  6 08:08:32 ns1 kernel: PIIX3: IDE controller on PCI bus 00 dev 39
Feb  6 08:08:33 ns1 kernel: PIIX3: chipset revision 0
Feb  6 08:08:33 ns1 kernel: PIIX3: not 100%% native mode: will probe irqs later
Feb  6 08:08:33 ns1 kernel:     ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: 
hda:DMA, hdb:pio
Feb  6 08:08:33 ns1 kernel:     ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: 
hdc:pio, hdd:pio
Feb  6 08:08:33 ns1 kernel: hda: CD-ROM Drive/F5D, ATAPI CD/DVD-ROM drive
Feb  6 08:08:33 ns1 kernel: ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Feb  6 08:08:33 ns1 kernel: Floppy drive(s): fd0 is 1.44M
Feb  6 08:08:33 ns1 kernel: FDC 0 is a National Semiconductor PC87306
Feb  6 08:08:33 ns1 kernel: LVM version 0.9  by Heinz Mauelshagen  (13/11/2000)
Feb  6 08:08:33 ns1 kernel: lvm -- Driver successfully initialized
Feb  6 08:08:33 ns1 kernel: RAMDISK: Compressed image found at block 0
Feb  6 08:08:33 ns1 kernel: Freeing initrd memory: 358k freed
Feb  6 08:08:33 ns1 kernel: Serial driver version 5.02 (2000-08-09) with 
MANY_PORTS MULTIPORT SHARE_IRQ SERIAL_PCI ISAPNP enabled
Feb  6 08:08:33 ns1 sshd: Starting sshd:  succeeded
Feb  6 08:08:34 ns1 kernel: ttyS00 at 0x03f8 (irq = 4) is a 16550A
Feb  6 08:08:34 ns1 kernel: ttyS01 at 0x02f8 (irq = 3) is a 16550A
Feb  6 08:08:34 ns1 kernel: Real Time Clock Driver v1.10d
Feb  6 08:08:34 ns1 kernel: atp.c:v1.09 8/9/2000 Donald Becker 
<becker@scyld.com>
Feb  6 08:08:34 ns1 kernel:   http://www.scyld.com/network/atp.html
Feb  6 08:08:34 ns1 kernel: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
Feb  6 08:08:34 ns1 kernel: md.c: sizeof(mdp_super_t) = 4096
Feb  6 08:08:34 ns1 kernel: NET4: Linux TCP/IP 1.0 for NET4.0
Feb  6 08:08:35 ns1 kernel: IP Protocols: ICMP, UDP, TCP, IGMP
Feb  6 08:08:35 ns1 kernel: IP: routing cache hash table of 1024 buckets, 
8Kbytes
Feb  6 08:08:35 ns1 kernel: TCP: Hash tables configured (established 8192 bind 
8192)
Feb  6 08:08:35 ns1 kernel: NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
Feb  6 08:08:35 ns1 kernel: VFS: Mounted root (ext2 filesystem).
Feb  6 08:08:35ns1 kernel: SCSI subsystem driver Revision: 1.00
Feb  6 08:08:35 ns1 kernel: kmod: failed to exec /sbin/modprobe -s -k 
scsi_hostadapter, errno = 2
Feb  6 08:08:35 ns1 kernel: scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA 
DRIVER, Rev 6.1.0
Feb  6 08:08:35 ns1 kernel:         <Adaptec aic7880 Ultra SCSI adapter>
Feb  6 08:08:35 ns1 kernel:         aic7880: Wide Channel A, SCSI Id=7, 16/255 
SCBs
Feb  6 08:08:35 ns1 kernel: 
Feb  6 08:08:35 ns1 kernel: (scsi0:A:0): async, 16bit
Feb  6 08:08:35 ns1 kernel: (scsi0:A:0): synchronous at 20.0MHz, offset 0x8, 
16bit
Feb  6 08:08:35 ns1 kernel:   Vendor: QUANTUM   Model: VIKING II 4.5WLS  Rev: 
4110
Feb  6 08:08:36 ns1 kernel:   Type:   Direct-Access                      ANSI 
SCSI revision: 02
Feb  6 08:08:36 ns1 kernel: (scsi0:A:1): async, 16bit
Feb  6 08:08:36 ns1 kernel: (scsi0:A:1): synchronous at 20.0MHz, offset 0x8, 
16bit
Feb  6 08:08:36 ns1 kernel:   Vendor: QUANTUM   Model: XP39100J          Rev: 
LYK8
Feb  6 08:08:36 ns1 kernel:   Type:   Direct-Access                      ANSI 
SCSI revision: 02
Feb  6 08:08:36 ns1 kernel: (scsi0:A:0): synchronous at 20.0MHz, offset 0x8, 
16bit
Feb  6 08:08:36 ns1 kernel: scsi1:0:0:0: Tagged Queuing enabled.  Depth 253
Feb  6 08:08:36 ns1 kernel: (scsi0:A:1): synchronous at 20.0MHz, offset 0x8, 
16bit
Feb  6 08:08:36 ns1 kernel: scsi1:0:1:0: Tagged Queuing enabled.  Depth 253
Feb  6 08:08:36 ns1 kernel: Attached scsi disk sda at scsi0, channel 0, id 0, 
lun 0
Feb  6 08:08:37 ns1 kernel: Attached scsi disk sdb at scsi0, channel 0, id 1, 
lun 0
Feb  6 08:08:37 ns1 kernel: SCSI device sda: 8910423 512-byte hdwr sectors 
(4562 MB)
Feb  6 08:08:37 ns1 kernel: Partition check:
Feb  6 08:08:37 ns1 kernel:  sda: sda1 sda2 < sda5 sda6 sda7 sda8 sda9 >
Feb  6 08:08:37 ns1 kernel: SCSI device sdb: 17781520 512-byte hdwr sectors 
(9104 MB)
Feb  6 08:08:37 ns1 kernel:  sdb: sdb1
Feb  6 08:08:37 ns1 kernel: VFS: Mounted root (ext2 filesystem) readonly.
Feb  6 08:08:37 ns1 kernel: change_root: old root has d_count=3
Feb  6 08:08:37 ns1 kernel: Trying to unmount old root ... okay
Feb  6 08:08:37 ns1 kernel: Freeing unused kernel memory: 236k freed
Feb  6 08:08:37 ns1 kernel: Adding Swap: 248968k swap-space (priority -1)
Feb  6 08:08:37 ns1 kernel: usb.c: registered new driver usbdevfs
Feb  6 08:08:37 ns1 kernel: usb.c: registered new driver hub
Feb  6 08:08:37 ns1 kernel: uhci.c: USB UHCI at I/O 0xff80, IRQ 11
Feb  6 08:08:38 ns1 kernel: usb.c: new USB bus registered, assigned bus number 1
Feb  6 08:08:38 ns1 kernel: hub.c: USB hub found
Feb  6 08:08:38 ns1 kernel: hub.c: 2 ports detected
Feb  6 08:08:38 ns1 kernel: ad1848/cs4248 codec driver Copyright (C) by Hannu 
Savolainen 1993-1996
Feb  6 08:08:38 ns1 kernel: cs4232: set synthio and synthirq to use the 
wavefront facilities.
Feb  6 08:08:38 ns1 kernel: eepro100.c:v1.09j-t 9/29/99 Donald Becker 
http://cesdis.gsfc.nasa.gov/linux/drivers/eepro100.html
Feb  6 08:08:38 ns1 kernel: eepro100.c: $Revision: 1.36 $ 2000/11/17 Modified 
by Andrey V. Savochkin <saw@saw.sw.com.sg> and others
Feb  6 08:08:38 ns1 kernel: eth0: Intel Corporation 82557 [Ethernet Pro 100], 
00:A0:C9:55:B3:60, I/O at 0xff40, IRQ 18.
Feb  6 08:08:38 ns1 kernel:   Board assembly 645520-034, Physical connectors 
present: RJ45
Feb  6 08:08:38 ns1 kernel:   Primary interface chip DP83840 PHY #1.
Feb  6 08:08:38 ns1 kernel:   DP83840 specific setup, setting register 23 to 
8462.
Feb  6 08:08:38 ns1 kernel:   General self-test: passed.
Feb  6 08:08:38 ns1 kernel:   Serial sub-system self-test: passed.
Feb  6 08:08:39 ns1 kernel:   Internal registers self-test: passed.
Feb  6 08:08:39 ns1 xinetd: xinetd startup succeeded
Feb  6 08:08:39 ns1 kernel:   ROM checksum self-test: passed (0x49caa8d6).
Feb  6 08:08:39 ns1 kernel:   Receiver lock-up workaround activated.
Feb  6 08:08:39 ns1 kernel: Linux Tulip driver version 0.9.13 (January 2, 2001)
Feb  6 08:08:40 ns1 kernel: eth1: Lite-On 82c168 PNIC rev 32 at 0xf800, 
00:A0:CC:56:09:72, IRQ 16.
Feb  6 08:08:40 ns1 kernel: eth1:  MII transceiver #1 config 3000 status 7829 
advertising 01e1.
Feb  6 08:08:42 ns1 xinetd[624]: chargen disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: chargen-udp disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: time disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: time disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: tftp disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: comsat disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: talk disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: swat disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: rsync disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: shell disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: login disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: exec disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: pop3s disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: ntalk disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: linuxconf disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: pop3 disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: pop2 disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: imaps disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: imap disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: finger disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: echo-udp disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: echo disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: daytime-udp disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: daytime disabled, removing
Feb  6 08:08:42 ns1 xinetd[624]: xinetd Version 2.1.8.9pre14 started with 
Feb  6 08:08:43 ns1 xinetd[624]: libwrap 
Feb  6 08:08:43 ns1 xinetd[624]: options compiled in.
Feb  6 08:08:43 ns1 xinetd[624]: Started working: 2 available services
Feb  6 08:08:47 ns1 kernel: Installing knfsd (copyright (C) 1996 
okir@monad.swb.de).
Feb  6 08:08:47 ns1 nfs: Starting NFS services:  succeeded
Feb  6 08:08:48 ns1 nfs: rpc.rquotad startup succeeded
Feb  6 08:08:48 ns1 nfs: rpc.mountd startup succeeded
Feb  6 08:08:48 ns1 nfs: rpc.nfsd startup succeeded
Feb  6 08:08:49 ns1 keytable: Loading keymap: 
Feb  6 08:08:49 ns1 keytable: Loading /lib/kbd/keymaps/i386/qwerty/us.kmap.gz
Feb  6 08:08:50 ns1 keytable: Loading system font: 
Feb  6 08:08:50 ns1 rc: Starting keytable:  succeeded
Feb  6 08:08:54 ns1 sendmail: sendmail startup succeeded
Feb  6 08:08:55 ns1 gpm: gpm startup succeeded
Feb  6 08:09:00 ns1 httpd: httpd startup succeeded
Feb  6 08:09:01 ns1 tomcat: Using 
classpath: /var/tomcat/lib/ant.jar:/var/tomcat/lib/classes12.zip:/var/tomcat/lib
/jasper.jar:/var/tomcat/lib/jaxp.jar:/var/tomcat/lib/parser.jar:/var/tomcat/lib/
servlet.jar:/var/tomcat/lib/test:/var/tomcat/lib/webserver.jar:/opt/IBMJava2-
13/lib/tools.jar
Feb  6 08:09:01 ns1 tomcat: tomcat startup succeeded
Feb  6 08:09:01 ns1 crond: crond startup succeeded
Feb  6 08:09:16 ns1 xfs: listening on port 7100 
Feb  6 08:09:16 ns1 xfs: xfs startup succeeded
Feb  6 08:09:18 ns1 smb: smbd startup succeeded
Feb  6 08:09:18 ns1 xfs: ignoring font path element /usr/share/fonts/ISO8859-
2/75dpi:unscaled (unreadable) 
Feb  6 08:09:18 ns1 xfs: ignoring font path element /usr/share/fonts/ISO8859-
2/100dpi:unscaled (unreadable) 
Feb  6 08:09:19 ns1 xfs: ignoring font path element /usr/share/fonts/ISO8859-
2/75dpi (unreadable) 
Feb  6 08:09:19 ns1 xfs: ignoring font path element /usr/share/fonts/ISO8859-
2/100dpi (unreadable) 
Feb  6 08:09:20 ns1 smb: nmbd startup succeeded
Feb  6 08:09:21 ns1 anacron: anacron startup succeeded
Feb  6 08:09:27 ns1 netconf:   Setting firewalling
Feb  6 08:09:27 ns1 netconf:   Checking kernel configuration
Feb  6 08:09:27 ns1 linuxconf: Running Linuxconf hooks:  succeeded
Feb  6 08:09:27 ns1 kernel: ip_conntrack (1024 buckets, 8192 max)
Feb  6 08:09:28 ns1 kernel: ip_tables: (c)2000 Netfilter core team
Comment 6 Preston Brown 2001-02-08 19:37:10 EST
arjan: could this be kernel APM stuff?
Comment 7 Arjan van de Ven 2001-02-09 04:40:33 EST
APM is known to make some chips slower if some program keeps reading
/proc/apm . Do you see the same drift without the time-correction programs ?
Comment 8 Jaroslaw Sosnicki 2001-02-09 10:15:34 EST
This problem persist with or without time correction programs like ntp.
Kerenl 2.2.x worked fine on this hardware.
Comment 9 Preston Brown 2001-02-14 20:33:23 EST
please cut/paste the contents of /etc/adjtime if you still have problems.
Comment 10 Jaroslaw Sosnicki 2001-02-15 21:24:03 EST
-71144.250000 982211834 0.000000
982211834
LOCAL
Comment 11 Jaroslaw Sosnicki 2001-02-19 17:16:57 EST
The problem with kernel time drift continues with new RAWHIDE kernel and 
initscripts.

[root@ns1 ntp]# rpm -q initscripts kernel-smp
initscripts-5.64.2-1
kernel-smp-2.4.1-0.1.9
[root@ns1 ntp]# cat /etc/adjtime
-52505.437500 982620022 0.000000
982620022
LOCAL
[root@ns1 ntp]#
Comment 12 Preston Brown 2001-03-05 00:48:55 EST
arjan, that seems immense (the adjtime values). ???
Comment 13 David Ferrero 2001-10-11 15:05:42 EDT
I have VERY similar problems to slavko. I also have a dual 200MHz Pentium Pro
system. As reported this worked fine under 7.0 and I didn't run any clock
adjustment programs prior to upgrading. Now the system clock has been "drifting"
ahead ever since upgrade to 7.1. I am currently running the latest 
kernel-2.4.3-12 (smp version). I don't see a 4 hr drift but do see many minutes
ahead of hardware clock.

I am currently running ntpd to try to help this problem but a few times even ntp
failed when the system clock moved too far ahead between ntpd syncs (1900
seconds).

# rpm -q initscripts kernel-smp
initscripts-5.84-1
kernel-smp-2.4.2-2
kernel-smp-2.4.3-12
kernel-smp-2.4.3-12

(this is with ntpd running)
# cat /etc/adjtime 
4363.612305 1002290162 0.000000
1002290162
LOCAL
Comment 14 Nathan Hartwell 2003-12-06 08:42:01 EST
I know this thread is old, but it seems that nobody nailed the issue 
causing the time drift on the 2.4.x series kernel with the PR440FX.  
I found and fixed it, sort of, for myself.  Turns out that the 
onboard NIC was causing it.  With no LAN traffic, I had no time 
drift.  With heavy LAN traffic (say, copying 3 ISO images), I had a 
time warp like you wouldn't believe.  So, I dropped a PCI 
EtherExpress Pro 100 in and my time drift is gone.  I'll have to dive 
into the kernel source when I have time and find a fix for this that 
doesn't require wasting a perfectly good 10/100 NIC.
Comment 15 Nathan Hartwell 2003-12-06 08:48:46 EST
Oh yeah.  Just in case this helps.  This problem still exists in the 
2.4.23 kernel.  And I'm still using a system that's based on RedHat 
6.0 (manually upgraded things as I went along).  Not that it matters, 
but I've got 2 Pentium II OverDrive 333MHz processors on my PR440FX.
Comment 16 acount closed by user 2003-12-06 18:28:21 EST
is your bios the latest? Are MOBO jumpers right ?

BIOS and docs:
http://www.intel.com/support/motherboards/desktop/pr440fx/
Comment 17 Nathan Hartwell 2003-12-06 21:18:44 EST
Yes to both.  Please, try again.  Keep in mind, these boards don't 
have this problem on the 2.2.x series kernel.  It's something they 
changed in the 2.4.x (started somewhere in the 2.3.x, I think) series.
Comment 18 Nathan Hartwell 2003-12-17 02:17:56 EST
I have not had the time to go sifting through the kernel source at 
this time, however I have found a temporary fix.  The bug isn't tied 
to the onboard NIC alone.  The onboard SCSI also yields the same time 
drift.  After discovering this, I played with a couple settings in 
the BIOS.  MPS v1.1 or v1.4 made no difference.  However, mapping PCI 
IRQs to legacy ISA IRQs has, seems to have fixed it (read a 160MB 
file over the network and saved it to the SCSI drive).  A bug in the 
I/O APIC initialization?  I'm suspecting it's not a bug, but a 
necessary change for the majority of SMP systems.  A compile option, 
however, would be nice.
Comment 19 Bugzilla owner 2004-09-30 11:38:53 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/
Comment 20 Joachim Frieben 2006-06-25 14:22:47 EDT
The issue is still actively pursued in Bug #55223. Any contribution is
welcome. The bug has also been reported upstream:

  http://bugzilla.kernel.org/show_bug.cgi?id=6748

Note You need to log in before you can comment on or make changes to this bug.